package de.hhhammer.ploc;

import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    @Override
    public boolean onCommand(final CommandSender sender, final Command command, final String label, final String[] args) {
        if (args.length > 1) {
            sender.sendMessage("This command takes only one player name!");
            return false;
        }
        if (args.length < 1) {
            sender.sendMessage("Missing player name!");
            return false;
        }

        final var player = Bukkit.getPlayer(args[0]);
        if (player == null) {
            sender.sendMessage("Player not found!");
            return false;
        }

        final var location = player.getLocation();
        String stringBuilder = "{" +
                String.format("\"world\": \"%s\", ", location.getWorld() != null ? location.getWorld().getName() : "undefined") +
                String.format("\"x\": \"%s\", ", location.getX()) +
                String.format("\"y\": \"%s\", ", location.getY()) +
                String.format("\"z\": \"%s\"", location.getZ()) +
                "}";
        sender.sendMessage(stringBuilder);
        return true;
    }
}
